# Class ContentType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the content type.

    public static class ContentType

Inheritance
  object
  ContentType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Image

Represents the image content type.

    public const string Image = "image"

#### Field Value

string

### Text

Represents the text content type.

    public const string Text = "text"

#### Field Value

string

### ToolResult

Represents the tool result content type.

    public const string ToolResult = "tool_result"

#### Field Value

string

### ToolUse

Represents the tool use content type.

    public const string ToolUse = "tool_use"

#### Field Value

string